module csigma_mod
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) :: A1,A2,A3,A4,A5,FE
  real(fp) :: BG,EFAC,ELOW,EMID,EHI,SLOPE
  real(fp):: ALOW(5),BLOW(4),AHI(6),BHI(5)
  logical :: LBOSCH,LFUN,LDPC
end module csigma_mod
